Credential Configuration
Get GA
GET
Gets a <Databricks> credential configuration object for an account, both specified by ID.
API scopes: unity-catalog
Parameters
- credentials_idstringpath
Credential configuration ID
- account_idstringpath
Response
- credentials_idstring
<Databricks> credential configuration ID.
- account_idstring
The <Databricks> account ID that hosts the credential.
- aws_credentialsobjectRequired
Show child attributesHide child attributes
- sts_roleobjectRequired
Show child attributesHide child attributes
- role_arnstring
The Amazon Resource Name (ARN) of the cross account IAM role.
- credentials_namestring
The human-readable name of the credential configuration object.
- creation_timeint64
Time in epoch milliseconds when the credential was created.
Create GA
POST
Creates a <Databricks> credential configuration that represents cloud cross-account credentials for a specified account. <Databricks> uses this to set up network infrastructure properly to host <Databricks> clusters. For your AWS IAM role, you need to trust the External ID (the Databricks Account API account ID) in the returned credential object, and configure the required access policy.
Save the response's credentials_id field, which is the ID for your new credential configuration object.
For information about how to create a new workspace with this API, see Create a new workspace using the Account API
API scopes: unity-catalog
Parameters
- account_idstringpath
Request body
- credentials_namestring
The human-readable name of the credential configuration object.
- aws_credentialsobjectRequired
Show child attributesHide child attributes
- sts_roleobjectRequired
Show child attributesHide child attributes
- role_arnstring
The Amazon Resource Name (ARN) of the cross account IAM role.
Response
- credentials_idstring
<Databricks> credential configuration ID.
- account_idstring
The <Databricks> account ID that hosts the credential.
- aws_credentialsobjectRequired
Show child attributesHide child attributes
- sts_roleobjectRequired
Show child attributesHide child attributes
- role_arnstring
The Amazon Resource Name (ARN) of the cross account IAM role.
- credentials_namestring
The human-readable name of the credential configuration object.
- creation_timeint64
Time in epoch milliseconds when the credential was created.
Delete GA
DELETE
Deletes a <Databricks> credential configuration object for an account, both specified by ID. You cannot delete a credential that is associated with any workspace.
API scopes: unity-catalog
Parameters
- credentials_idstringpath
Databricks Account API credential configuration ID
- account_idstringpath
Response
- credentials_idstring
<Databricks> credential configuration ID.
- account_idstring
The <Databricks> account ID that hosts the credential.
- aws_credentialsobjectRequired
Show child attributesHide child attributes
- sts_roleobjectRequired
Show child attributesHide child attributes
- role_arnstring
The Amazon Resource Name (ARN) of the cross account IAM role.
- credentials_namestring
The human-readable name of the credential configuration object.
- creation_timeint64
Time in epoch milliseconds when the credential was created.